POST   private-location/create

Creates a new private location for the current customer.

Remarks

Use Country Details route to get the list of Country object having values applicable for Country, State, City.


The Name and City field in the request body must only contain alphanumeric characters and hyphens (-) with no spaces. Any other characters will result in an "Invalid input" error.

Request example and description

curl --request POST "https://api-asm1.apica.io/v3/private-location/create?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{
  "Enabled": true,
  "Name": "sample-string",
  "Country": "Sweden",
  "State": "NA",
  "City": "sample-string"
}"
NameType Required Description
EnabledBooleanNo

Indicates whether the private location is enabled.

NameStringYes

The name of the private location.

CountryStringYes

The country of the private location.

StateStringNo

The state of the private location.

CityStringYes

The city of the private location.

Response body model example and description

{
  "private_location_id": "af7fa6dc-f369-49d8-9a96-20bf2a666732",
  "enabled": true,
  "geoloc": "sample string 3",
  "customer_guid": "fdfd5331-31a5-4e79-b516-6114ce38918c"
}
NameType Description
PrivateLocationIdGuid

Unique identifier for the private location.

EnabledBoolean

Indicates whether the private location is enabled.

GeolocString

Geographical location of the private location.

CustomerGuidGuid

Customer identifier associated with the private location.